
/*******************************************************************************
 *    benchmark.h: Model for FSTAR II algorithm
 *    15/04/2003
 *    By Pau Herrero Vias
 ******************************************************************************/

#include "model.h"
#include "param.h"

void CreateTree(model &Model,param& Pars);
void InitializeFunction(box &X, model &Model,param& Pars);
ivalDb EvaluateFunction(cell &Cell);
void EvaluateDerivatives(cell &Cell);
int IsStopCriteria(twin &Twin);
iboolean IsInclusionConsistent(twin &Twin);
iboolean IsConstraintsConsistent(cell &Cell);
iboolean ConsistentTrue(cell &Cell);
