
#include "ivalDb.h"
#include <iostream.h>
#include <stdio.h>
#include <time.h>

void main() {

    secureFpu();
    ivalDb X[13];
    int i,j;

    X[0]=ivalDb(1./3.,2./5.);
    X[1]=ivalDb(10./3.,-1./7.);
    X[2]=ivalDb(2.,0.);
    X[3]=ivalDb(PlusInfinity(),-1./3.);
    X[4]=ivalDb(-1./3.,PlusInfinity());
    X[5]=ivalDb(MinusInfinity(),-1./3.);
    X[6]=ivalDb(-1./3.,MinusInfinity());
    X[7]=ivalDb(PlusInfinity(),0);
    X[8]=ivalDb(0,PlusInfinity());
    X[9]=ivalDb(MinusInfinity(),0);
    X[10]=ivalDb(0,MinusInfinity());
    X[11]=ivalDb(PlusInfinity(),MinusInfinity());
    X[12]=ivalDb(MinusInfinity(),PlusInfinity());

    //linear functions
    ivalDb a,b;
    a=ivalDb(1,1);b=ivalDb(2,2);
    cout<<(a+=b)<<endl;
    cout<<(a-=b)<<endl;
    cout<<(a*=b)<<endl;
    cout<<(a/=b)<<endl;
    getchar();

/*
    for(i=0;i<13;i++)
      {
       for(j=0;j<13;j++)
         {
          cout<<X[i]<<" <= "<<X[j]<<" = "<<(X[i]<=X[j])<<endl;
          cout<<X[i]<<" && "<<X[j]<<" = "<<(X[i]&&X[j])<<endl;
          cout<<X[i]<<" || "<<X[j]<<" = "<<(X[i]||X[j])<<endl;
          cout<<X[i]<<" + "<<X[j]<<" = "<<X[i]+X[j]<<endl;
          cout<<X[i]<<" * "<<X[j]<<" = "<<X[i]*X[j]<<endl;
          cout<<X[i]<<" / "<<X[j]<<" = "<<X[i]/X[j]<<endl;
         }
      }
getchar();
*/
    ivalDb in1,in2;
    cout<<"ATAN2\n"<<endl;

    cout<<"Two positive"<<endl;
    in1=ivalDb(2,4);in2=ivalDb(6,8);
    cout<<"atan2("<<in1<<","<<in2<<") = "<<atan2(in1,in2)<<endl;
    cout<<"atan2("<<Du(in1)<<","<<in2<<") = "<<atan2(Du(in1),in2)<<endl;
    cout<<"atan2("<<in1<<","<<Du(in2)<<") = "<<atan2(in1,Du(in2))<<endl;
    cout<<"atan2("<<Du(in1)<<","<<Du(in2)<<") = "<<atan2(Du(in1),Du(in2))<<endl;

    cout<<"Mixed signs"<<endl;
    in1=ivalDb(2,-4);in2=ivalDb(-6,8);
    cout<<"atan2("<<in1<<","<<in2<<") = "<<atan2(in1,in2)<<endl;
    cout<<"atan2("<<Du(in1)<<","<<in2<<") = "<<atan2(Du(in1),in2)<<endl;
    cout<<"atan2("<<in1<<","<<Du(in2)<<") = "<<atan2(in1,Du(in2))<<endl;
    cout<<"atan2("<<Du(in1)<<","<<Du(in2)<<") = "<<atan2(Du(in1),Du(in2))<<endl;

    cout<<"one positive, one mixed"<<endl;
    in1=ivalDb(2,4);in2=ivalDb(-6,8);
    cout<<"atan2("<<in1<<","<<in2<<") = "<<atan2(in1,in2)<<endl;
    cout<<"atan2("<<Du(in1)<<","<<in2<<") = "<<atan2(Du(in1),in2)<<endl;
    cout<<"atan2("<<in1<<","<<Du(in2)<<") = "<<atan2(in1,Du(in2))<<endl;
    cout<<"atan2("<<Du(in1)<<","<<Du(in2)<<") = "<<atan2(Du(in1),Du(in2))<<endl;

    cout<<"one mixed, one positive"<<endl;
    in1=ivalDb(-2,4);in2=ivalDb(6,8);
    cout<<"atan2("<<in1<<","<<in2<<") = "<<atan2(in1,in2)<<endl;
    cout<<"atan2("<<Du(in1)<<","<<in2<<") = "<<atan2(Du(in1),in2)<<endl;
    cout<<"atan2("<<in1<<","<<Du(in2)<<") = "<<atan2(in1,Du(in2))<<endl;
    cout<<"atan2("<<Du(in1)<<","<<Du(in2)<<") = "<<atan2(Du(in1),Du(in2))<<endl;

    cout<<"one mixed, one negative"<<endl;
    in1=ivalDb(-2,4);in2=ivalDb(-6,-8);
    cout<<"atan2("<<in1<<","<<in2<<") = "<<atan2(in1,in2)<<endl;
    cout<<"atan2("<<Du(in1)<<","<<in2<<") = "<<atan2(Du(in1),in2)<<endl;
    cout<<"atan2("<<in1<<","<<Du(in2)<<") = "<<atan2(in1,Du(in2))<<endl;
    cout<<"atan2("<<Du(in1)<<","<<Du(in2)<<") = "<<atan2(Du(in1),Du(in2))<<endl;

    cout<<"Two negative"<<endl;
    in1=ivalDb(-2,-4);in2=ivalDb(-6,-8);
    cout<<"atan2("<<in1<<","<<in2<<") = "<<atan2(in1,in2)<<endl;
    cout<<"atan2("<<Du(in1)<<","<<in2<<") = "<<atan2(Du(in1),in2)<<endl;
    cout<<"atan2("<<in1<<","<<Du(in2)<<") = "<<atan2(in1,Du(in2))<<endl;
    cout<<"atan2("<<Du(in1)<<","<<Du(in2)<<") = "<<atan2(Du(in1),Du(in2))<<endl;

    getchar();


    cout<<"LINEAR FUNCTIONS\n"<<endl;
    for(i=0;i<13;i++) {
       for(j=0;j<13;j++)
         {
          if(i<=j) cout<<X[i]<<" += "<<X[j]<<" = "<<(X[i]+=X[j])<<endl;
          if(i<=j) cout<<X[i]<<" -= "<<X[j]<<" = "<<(X[i]-=X[j])<<endl;
          if(i<=j) cout<<X[i]<<" *= "<<X[j]<<" = "<<(X[i]*=X[j])<<endl;
          if(i<=j) cout<<X[i]<<" /= "<<X[j]<<" = "<<(X[i]/=X[j])<<endl;
         }
    }
    getchar();

    cout<<"INTERVAL DEFINITIONS\n"<<endl;
    for(i=0;i<13;i++)
      {
       cout<<"X["<<i<<"] = "<<X[i]<<endl;
       cout<<"Dual(X["<<i<<"]) = "<<Du(X[i])<<endl;
       cout<<"-X["<<i<<"] = "<<-(X[i])<<endl;
       cout<<"abs(X["<<i<<"]) = "<<abs(X[i])<<endl;
       cout<<"sqr(X["<<i<<"]) = "<<sqr(X[i])<<endl;
       cout<<"sqrt(X["<<i<<"]) = "<<sqrt(X[i])<<endl;
       cout<<"cbrt(X["<<i<<"]) = "<<cbrt(X[i])<<endl;
       cout<<"cos(X["<<i<<"]) = "<<cos(X[i])<<endl;
       cout<<"sin(X["<<i<<"]) = "<<sin(X[i])<<endl;
       cout<<"tan(X["<<i<<"]) = "<<tan(X[i])<<endl;
       cout<<"acos(X["<<i<<"]) = "<<acos(X[i])<<endl;
       cout<<"asin(X["<<i<<"]) = "<<asin(X[i])<<endl;
       cout<<"atan(X["<<i<<"]) = "<<atan(X[i])<<endl;
       cout<<"cosh(X["<<i<<"]) = "<<cosh(X[i])<<endl;
       cout<<"sinh(X["<<i<<"]) = "<<sinh(X[i])<<endl;
       cout<<"atanh(X["<<i<<"]) = "<<atanh(X[i])<<endl;
       cout<<"exp(X["<<i<<"]) = "<<exp(X[i])<<endl;
       cout<<"log(X["<<i<<"]) = "<<log(X[i])<<endl;
       cout<<"log10(X["<<i<<"]) = "<<log10(X[i])<<endl;
       cout<<"pow(X["<<i<<"],1.3) = "<<pow(X[i],1.3)<<endl;
       cout<<"pow(X["<<i<<"],4) = "<<pow(X[i],4)<<endl;
       cout<<"root(X["<<i<<"],5) = "<<root(X[i],5)<<endl;
       cout<<"root(X["<<i<<"],4) = "<<root(X[i],4)<<endl;
       cout<<endl;
      }
getchar();

    cout<<"\nINTERVAL RELATIONS: LESS OR EQUAL\n"<<endl;
    for(i=0;i<13;i++)
      {
       for(j=0;j<13;j++)
         {
          if(i<=j) cout<<X[i]<<" <= "<<X[j]<<" = "<<(X[i]<=X[j])<<endl;
         }
      }
getchar();

    cout<<"\nINTERVAL RELATIONS: GREATER OR EQUAL\n"<<endl;
    for(i=0;i<13;i++)
      {
       for(j=0;j<13;j++)
         {
          if(i<=j) cout<<X[i]<<" >= "<<X[j]<<" = "<<(X[i]>=X[j])<<endl;
         }
      }
getchar();

    cout<<"\nINTERVAL RELATIONS: INCLUSION <<\n"<<endl;
    for(i=0;i<13;i++)
      {
       for(j=0;j<13;j++)
         {
          if(i<=j) cout<<X[i]<<" << "<<X[j]<<" = "<<(X[i]<<X[j])<<endl;
         }
      }
getchar();

    cout<<"\nINTERVAL RELATIONS: INCLUSION >>\n"<<endl;
    for(i=0;i<13;i++)
      {
       for(j=0;j<13;j++)
         {
          if(i<=j) cout<<X[i]<<" >> "<<X[j]<<" = "<<(X[i]>>X[j])<<endl;
         }
      }
getchar();

    cout<<"\nMEET\n"<<endl;
    for(i=0;i<13;i++)
      {
       for(j=0;j<13;j++)
         {
          if(i<=j) cout<<X[i]<<" && "<<X[j]<<" = "<<(X[i]&&X[j])<<endl;
         }
      }
getchar();


    cout<<"\nJOIN\n"<<endl;
    for(i=0;i<13;i++)
      {
       for(j=0;j<13;j++)
         {
          if(i<=j) cout<<X[i]<<" || "<<X[j]<<" = "<<(X[i]||X[j])<<endl;
         }
      }
getchar();

    cout<<"\nADDITION\n"<<endl;
    for(i=0;i<13;i++)
      {
       for(j=0;j<13;j++)
         {
          if(i<=j) cout<<X[i]<<" + "<<X[j]<<" = "<<X[i]+X[j]<<endl;
         }
      }
getchar();


    cout<<"\nSUBSTRACTION\n"<<endl;
    for(i=0;i<13;i++)
      {
       for(j=0;j<13;j++)
         {
          if(i<=j) cout<<X[i]<<" - "<<X[j]<<" = "<<X[i]-X[j]<<endl;
         }
      }
getchar();

    cout<<"\nMULTIPLICATION\n"<<endl;
    for(i=0;i<13;i++)
      {
       for(j=0;j<13;j++)
         {
          if(i<=j) cout<<X[i]<<" * "<<X[j]<<" = "<<X[i]*X[j]<<endl;
         }
      }
getchar();

    cout<<"\nDIVISION\n"<<endl;
    for(i=0;i<13;i++)
      {
       for(j=0;j<13;j++)
         {
          if(i<=j) cout<<X[i]<<" / "<<X[j]<<" = "<<X[i]/X[j]<<endl;
         }
      }
getchar();



}
