
#include "plot.h"
#include "model.h"
#include "vcl.h"
#include <fstream.h>

extern repere Repere;

box B(2);

// Plot Strip
void PlotStrip(strip &Strip,TColor couleurin,TColor couleurout,TBrushStyle pinceau,param &Pars)
{
 ivalDb Dom1,Dom2;

 int Dim1=Pars.GetXPlotIndex();
 int Dim2=Pars.GetYPlotIndex();

 Dom1=Strip[Dim1].GetIval();
 Dom2=Strip[Dim2].GetIval();

 B[0].SetIval(Prop(Dom1));
 B[1].SetIval(Prop(Dom2));

 Repere.DrawBox(B,couleurin,couleurout,pinceau);
}//-----------------------------------------------------------------------------

// Plot Strip
void PlotStripCadre(strip &Strip,TColor couleur,TPenStyle crayon,int epais,param &Pars)
{
 vector<variable> Xp,Xi;
 ivalDb Dom1,Dom2;

 int Dim1=Pars.GetXPlotIndex();
 int Dim2=Pars.GetYPlotIndex();

 Dom1=Strip[Dim1].GetIval();
 Dom2=Strip[Dim2].GetIval();

 B[0].SetIval(Prop(Dom1));
 B[1].SetIval(Prop(Dom2));

 Repere.DrawCadre(B,couleur,crayon,epais);
}//-----------------------------------------------------------------------------

// Plot Cell
void PlotCell(cell &Cell,TColor couleurin,TColor couleurout,TBrushStyle pinceau,param &Pars)
{
 AnsiString Value;

 ivalDb Dom1,Dom2;

 int Dim1=Pars.GetXPlotIndex();
 int Dim2=Pars.GetYPlotIndex();

 Dom1=Cell[Dim1].GetIval();
 Dom2=Cell[Dim2].GetIval();

 B[0].SetIval(Prop(Dom1));
 B[1].SetIval(Prop(Dom2));

 Repere.DrawBox(B,couleurin,couleurout,pinceau);
}//-----------------------------------------------------------------------------

// Plot Cell
void PlotCellCadre(cell &Cell,TColor couleur,TPenStyle crayon,int epais,param &Pars)
{
 AnsiString Value;

 ivalDb Dom1,Dom2;

 int Dim1=Pars.GetXPlotIndex();
 int Dim2=Pars.GetYPlotIndex();

 Dom1=Cell[Dim1].GetIval();
 Dom2=Cell[Dim2].GetIval();

 B[0].SetIval(Prop(Dom1));
 B[1].SetIval(Prop(Dom2));

 Repere.DrawCadre(B,couleur,crayon,epais);
}//-----------------------------------------------------------------------------

void AssignPlotIndexes(strip &Strip,param &Pars)
{
 string Name;
 for(int i=0;i<Strip.GetDim();i++)
 {Name=Strip[i].GetName();
  if(Name==Pars.GetPlotX())
  {Pars.SetXPlotIndex(i);
   break;}
 }
 for(int i=0;i<Strip.GetDim();i++)
 {Name=Strip[i].GetName();
  if(Name==Pars.GetPlotY())
  {Pars.SetYPlotIndex(i);
   break;}
 }
}//-----------------------------------------------------------------------------

void AssignPlotIndexes(cell &Cell,param &Pars)
{
 string Name;
 for(int i=0;i<Cell.GetDim();i++)
 {Name=Cell[i].GetName();
  if(Name==Pars.GetPlotX())
  {Pars.SetXPlotIndex(i);
   break;}
 }
 for(int i=0;i<Cell.GetDim();i++)
 {Name=Cell[i].GetName();
  if(Name==Pars.GetPlotY())
  {Pars.SetYPlotIndex(i);
   break;}
 }
}//-----------------------------------------------------------------------------
